> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/list#body.ListAdAssetsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/list#try-it)

Lists ad assets under an advertiser ID.

Only supports the retrieval of assets of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets#AdAssetType` `AD_ASSET_TYPE_YOUTUBE_VIDEO`.

### HTTP request

`GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/adAssets`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser the ad assets belong to. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Must be between `1` and `5000`. If unspecified will default to `5000`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/list#body.ListAdAssetsResponse.FIELDS.next_page_token` returned from the previous call to `adAssets.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Optional. Field by which to sort the list. Acceptable values are: - `entityStatus` - `youtubeVideoAsset.youtubeVideoId` - `adAssetId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: `adAssetId desc`. |
| `filter` | `string` Optional. Allows filtering of the results by ad asset fields. Supported syntax: - A restriction has the form of `{field} {operator} {value}`. - All fields must use the `EQUALS (=)` operator. Supported fields: - `youtubeVideoAsset.youtubeVideoId` - `entityStatus` Examples: - All active YouTube video ad assets under an advertiser: `entityStatus=ENTITY_STATUS_ACTIVE` |

### Request body

The request body must be empty.

### Response body

A response message for `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/list#google.ads.displayvideo.v5.AdAssetService.ListAdAssets`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adAssets": [ { object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets#AdAsset`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `adAssets[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets#AdAsset`)`` The list of ad assets. The list will only contain assets of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets#AdAssetType` `AD_ASSET_TYPE_YOUTUBE_VIDEO`. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `adAssets.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).